//  AccViewController.m
//  Accerleration
//
//  Created by Chen Ching-Shen on 6/17/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "AccViewController.h"


@implementation AccViewController

@synthesize xx;
@synthesize yy;
@synthesize zz;
@synthesize xTitle;
@synthesize yTitle;
@synthesize zTitle;


- (void)loadView 
{
	NSLog(@"loadView");
	UIView *contentView = [[UIView alloc] initWithFrame: [[UIScreen mainScreen] applicationFrame]];
	[contentView setBackgroundColor:[UIColor whiteColor]];
	self.view = contentView;
	
	
	CGRect xrt = CGRectMake(10,50,40,40);
	CGRect xr = CGRectMake(40,50,150,40);
	CGRect yrt = CGRectMake(10,100,40,40);
	CGRect yr = CGRectMake(40,100,150,40);
	CGRect zrt = CGRectMake(10,150,40,40);
	CGRect zr = CGRectMake(40,150,150,40);

	xx = [[UILabel alloc] initWithFrame:xr];
	xx.text = @"00000";
	xx.textAlignment = UITextAlignmentLeft;
	yy = [[UILabel alloc] initWithFrame:yr];
	yy.text = @"00000";
	yy.textAlignment = UITextAlignmentLeft;
	zz = [[UILabel alloc] initWithFrame:zr];
	zz.text = @"00000";
	zz.textAlignment = UITextAlignmentLeft;
	xTitle = [[UILabel alloc] initWithFrame:xrt];
	xTitle.text = @"X:";
	xTitle.textAlignment = UITextAlignmentLeft;
	yTitle = [[UILabel alloc] initWithFrame:yrt];
	yTitle.text = @"Y:";
	yTitle.textAlignment = UITextAlignmentLeft;
	zTitle = [[UILabel alloc] initWithFrame:zrt];
	zTitle.text = @"Z:";
	zTitle.textAlignment = UITextAlignmentLeft;
	NSArray *titles = [NSArray arrayWithObjects: xTitle,yTitle,zTitle,xx,yy,zz,nil];
	for (UILabel *label in titles)
	{
		label.textColor = [UIColor blackColor];
		label.backgroundColor = [UIColor whiteColor];
		label.shadowColor = [UIColor grayColor];
		label.font = [UIFont systemFontOfSize:24];
		[self.view addSubview:label];
	}
	UIAccelerometer *acc = [UIAccelerometer sharedAccelerometer];
	acc.updateInterval = 1/10;
	acc.delegate = self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (void)accelerometer:(UIAccelerometer*)accelerometer didAccelerate:(UIAcceleration*)acceleration 
{
	xx.text = [NSString stringWithFormat:@"%f",acceleration.x];
	yy.text = [NSString stringWithFormat:@"%f",acceleration.y];
	zz.text = [NSString stringWithFormat:@"%f",acceleration.z];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
    return YES;
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
